> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/get-resend-by-query-job-status",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get resend by query job status

> Get the status of a resend by query job




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /webhooks/{webhookId}/notifications/resend_by_query/jobs/{jobId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}/notifications/resend_by_query/jobs/{jobId}:
    get:
      tags:
        - Webhooks V2
      summary: Get resend by query job status
      description: |
        Get the status of a resend by query job
      operationId: getResendByQueryJobStatus
      parameters:
        - name: webhookId
          description: The ID of the webhook
          required: true
          in: path
          schema:
            type: string
        - name: jobId
          description: The ID of the resend job
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Job status
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResendFailedNotificationsJobStatusResponse
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ResendFailedNotificationsJobStatusResponse>>
            =
            fireblocks.webhooksV2.getResendByQueryJobStatus(webhooksV2ApiGetResendByQueryJobStatusRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ResendFailedNotificationsJobStatusResponse>>
            response =
            fireblocks.webhooksV2().getResendByQueryJobStatus(webhookId, jobId);
        - lang: Python
          source: >-
            response =
            fireblocks.webhooks_v2.get_resend_by_query_job_status(webhook_id,
            job_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ResendFailedNotificationsJobStatusResponse:
      type: object
      properties:
        jobId:
          type: string
          description: Bulk resend job ID
          example: 123e4567-e89b-12d3-a456-426614174000
        status:
          type: string
          description: Bulk resend job status
          example: COMPLETED
          enum:
            - QUEUED
            - IN_PROGRESS
            - COMPLETED
            - FAILED
        processed:
          type: number
          description: Number of notifications processed
          example: 100
        total:
          type: number
          description: Total number of notifications to process
          example: 1000
      required:
        - jobId
        - status
        - processed
        - total
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````